/** @type {import('next').NextConfig} */
import createNextIntlPlugin from  'next-intl/plugin';
import path from 'path';
const withNextIntl = createNextIntlPlugin();

/** @type {import('next').NextConfig} */
const nextConfig = {
  output: 'standalone',
  reactStrictMode: true,
  output:"standalone",
  transpilePackages: ['antd-mobile'],

  sassOptions: {
    prependData: `@import "./src/styles/variables.scss";`
  },
  images: {
    remotePatterns: [
      {
        protocol: 'https',
        hostname: '9f.com',
        pathname: '/img/**',
      },
    ],
  },
};

export default withNextIntl(nextConfig);
