import { getMessages } from "next-intl/server";
import { ReactNode } from "react";
import HeaderCom from './component/HeaderCom'
import TabsCom from "./component/TabsCom"
import './style.scss'
export default async function LocaleLayout({
    children,
    params: { locale },
}: {
    children: ReactNode;
    params: { locale: string };
}) {
    console.log(locale);
    
    const messages = await getMessages();
    return (
        <div className="vux-drawer">
            <div className="vux-drawer-body" style={{ transform: "translate3d(0px,0px,0px)" }}>
                <div className="referral router-view" id="id-router-view" style={{ backgroundColor: "rgb(237, 237, 237)" }}>
                    <HeaderCom></HeaderCom>
                    <TabsCom></TabsCom>
                    <div>
                        {children}
                    </div>
                </div>
            </div>
        </div>
    );
}
