"use client";
import Request from "./axios";

const BASE_URL = process.env.NEXT_PUBLIC_BASE_URL;
const server = new Request({
    timeout: 10 * 1000,
    baseURL: BASE_URL,
    transform: {
        // instance  interceptor
        requestInterceptor: (config) => {
            return config;
        },
        requestInterceptorCatch: (err) => {
            return err;
        },
        responseInterceptor: (config) => {
            return config;
        },
        responseInterceptorCatch: (err) => {
            const { response } = err;
            if (response && !response.data) return;
            // @ts-ignore
            const { code } = response!.data;
            switch (code) {
                case 401:
                    window && (location.href = "/br/login");
                    break;
            }

            return err;
        },
    },
});

export { server };
